# Uses of Interface
org.eclipse.emf.compare.match.eobject.WeightProvider.Descriptor

Packages that use WeightProvider.Descriptor
Package
Description
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.match.eobject.internal
org.eclipse.emf.compare.rcp.internal.match

## Uses of WeightProvider.Descriptor in org.eclipse.emf.compare.match.eobject

Methods in org.eclipse.emf.compare.match.eobject that return WeightProvider.Descriptor
Modifier and Type
Method
Description
`WeightProvider.Descriptor`
WeightProvider.Descriptor.Registry.`put(String key, WeightProvider.Descriptor descriptor)`
Adds a weight provider to the registry.
`WeightProvider.Descriptor`
WeightProviderDescriptorRegistryImpl.`put(String key, WeightProvider.Descriptor weightProvider)`
Adds a weight provider to the registry.
`WeightProvider.Descriptor`
WeightProvider.Descriptor.Registry.`remove(String key)`
Removes a weight provider from this registry.
`WeightProvider.Descriptor`
WeightProviderDescriptorRegistryImpl.`remove(String key)`
Removes a weight provider from this registry.
Methods in org.eclipse.emf.compare.match.eobject that return types with arguments of type WeightProvider.Descriptor
Modifier and Type
Method
Description
`Collection<WeightProvider.Descriptor>`
WeightProvider.Descriptor.Registry.`getDescriptors()`
This will return a copy of the registered weight providers list.
`com.google.common.collect.ImmutableList<WeightProvider.Descriptor>`
WeightProviderDescriptorRegistryImpl.`getDescriptors()`
This will return a copy of the registered weight providers list.
Methods in org.eclipse.emf.compare.match.eobject with parameters of type WeightProvider.Descriptor
Modifier and Type
Method
Description
`WeightProvider.Descriptor`
WeightProvider.Descriptor.Registry.`put(String key, WeightProvider.Descriptor descriptor)`
Adds a weight provider to the registry.
`WeightProvider.Descriptor`
WeightProviderDescriptorRegistryImpl.`put(String key, WeightProvider.Descriptor weightProvider)`
Adds a weight provider to the registry.

## Uses of WeightProvider.Descriptor in org.eclipse.emf.compare.match.eobject.internal

Classes in org.eclipse.emf.compare.match.eobject.internal that implement WeightProvider.Descriptor
Modifier and Type
Class
Description
`class`
`WeightProviderDescriptorImpl`
A simple implementation of `WeightProvider.Descriptor` that will delegate its method implementation to values given to its constructor.

## Uses of WeightProvider.Descriptor in org.eclipse.emf.compare.rcp.internal.match

Classes in org.eclipse.emf.compare.rcp.internal.match that implement WeightProvider.Descriptor
Modifier and Type
Class
Description
`class`
`WeightProviderDescriptorRCPImpl`
Describes an extension as contributed to the "org.eclipse.emf.compare.rcp.weightProvider" extension point.